CHOWN(1)

NAAM
chown - eigenaar en groep van bestanden veranderen

SAMENVATTING
chown [OPTIE]... [EIGENAAR][:[GROEP]] BESTAND...
chown [OPTIE]... --reference=REFERENTIEBESTAND BESTAND...

BESCHRIJVING
Deze handleiding documenteert de GNU-versie van chown. chown verandert de eigenaar en/of groep van elk gegeven bestand. Als alleen een gebruiker (een gebruikersnaam of numeriek gebruikers-ID) werd opgegeven, dan wordt deze gebruiker de eigenaar van elk opgegeven bestand, de groep wordt niet veranderd. Als de gebruikersnaam wordt gevolgd door een dubbele punt en een groep (of numeriek groep-ID), zonder tussen liggende spaties, dan wordt de groep ook veranderd. Als een dubbele punt niet gevolgd wordt door een groep, dan wordt de gebruiker de eigenaar van de bestanden en de groep wordt veranderd naar de login-groep van de eigenaar. Als zowel de dubbele punt als de groep werden opgegeven, maar de gebruiker niet dan wordt alleen de groep veranderd; in dat geval doet chown hetzelfde als chgrp. Als alleen een dubbele punt werd gegeven, of als de hele operand leeg was, dan worden zowel eigenaar als groep niet veranderd.

OPTIES

De eigenaar en/of groep van elk gegeven BESTAND veranderen naar de gegeven EIGENAAR en/of GROEP, of naar de eigenaar en groep van REFERENTIEBESTAND.

-c, --changes
    zoals uitgebreid maar geef alleen een melding als er een verandering is aangebracht

-f, --silent, --quiet
    onderdruk de meeste foutmeldingen

-v, --verbose
    geef een melding voor elk verwerkt bestand

--dereference
    niet de symbolische koppelingen bewerken maar de bestanden waarnaar ze verwijzen (standaard)

-h, --no-dereference
    de symbolische koppelingen zelf bewerken in plaats van de bestanden waarnaar ze verwijzen (alleen nuttig op systemen waar de eigenaar van een symbolische koppeling veranderd kan worden)

--from=HUIDIGE_EIGENAAR:HUIDIGE_GROEP
    verander de eigenaar van elk bestand alleen als zijn huidige eigenaar en/of groep overeenkomt met deze zoals hier opgegeven. Beiden mogen worden weggelaten, in welk geval een overeenkomst niet nodig is voor het weggelaten attribuut.

--no-preserve-root
    de '/' niet speciaal behandelen (standaard)

--preserve-root
    niet recursief werken op '/'

--reference=REFERENTIEBESTAND
    gebruik de eigenaar van RFILE in plaats van het opgeven van waarden. RFILE wordt altijd van zijn referentie ontdaan als het een symbolische koppeling is.

-R, --recursive
    bestanden en mappen recursief behandelen

De volgende opties veranderen de wijze van doorlopen van de mappen hiërarchie als optie ook -R gegeven is. Als méér dan een optie werd opgegeven dan geldt alleen de laatste. '-P' is de standaard.

-H  als een argument op de opdrachtregel een symbolische koppeling naar een map is, dan deze map doorlopen

-L  elke symbolische koppeling naar een map volgen

-P  symbolische koppelingen niet volgen

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Als EIGENAAR ontbreekt, blijft deze onveranderd. Als GROEP ontbreekt, blijft deze onveranderd, tenzij met een ':' na een symbolische EIGENAAR impliciet de inloggroep gegeven is. Verder mogen EIGENAAR en GROEP zowel numeriek als symbolisch zijn.

VOORBEELDEN

chown root /w
    Verandert de eigenaar van /w naar "root".

chown root:team /w
    Idem, maar verandert ook de groep naar "team".

chown -hR root /u
    Verandert de eigenaar van /w en subbestanden naar "root".

AUTEUR
Geschreven door David MacKenzie en Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
chown(2)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/chown>
of lokaal via: info '(coreutils) chown invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.